Subject: Re: bug#28621: Proposed patch for doc of posn-window and code of posn-set-point to handle frame arguments

From: martin rudalics <[email-masked]>
Date: Sat, 30 Sep 2017 10:32:47 +0200

>>> !      (select-window (frame-selected-window (posn-window position))))
 >>
 >> Why should we select the selected-window on that frame in this case?
 >>
 >
 > ​Because when position includes a window, the window is selected (the
 > latter logic in this function).  So if position is in a window in another
 > frame, shouldn't we select the window there?  We are trying to set point
 > here
 > based on a mouse position​, so the user must have moved his focus there.  I
 > am
 > looking for input on whether the logic is right.

(frame-selected-window (posn-window position)) might not be the window
under the mouse cursor.

martin